@charset "UTF-8";
/* CSS Document */

body {
    font-size: 16px;
    font-family: franklin-gothic-urw, sans-serif !important;
}

#logo {
    width: 50%;
    min-height: 60px;
    order: 2;
    background-image: url("../../images/debden-house-logo.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;	
    transition: 0.25s;
    padding: 15px;
    box-sizing: border-box;
    background-origin: content-box;
}

.nav-bar {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin: 0 auto;	
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    transition: 0.25s;
    background-color: #0e461c;
    color: #FFF;
    z-index: 9998;
}

.phone {
    width: 25%;
    order: 1;
    background-image: url("../../images/call-w.svg");
    background-size: 50px 50px;
    background-repeat: no-repeat;
    background-position: center;

}

#b-menu {
    width: 25%;
    order: 3;
    transition: 0.25s;
    min-height: 80px;
    background-color: #0e461c;
    display: flex;
    align-items: center;
    justify-content: center;		
}

#visit-campsite {
    width: 20%;
    order: 4;
    background-color: #1b8d39;
}

#room-venue-hire {
    width: 20%;
    order: 5;
    background-color: #721b8d;
}

#special-events {
    width: 20%;
    order: 6;
    background-color: #391b8d;
}

#find-and-contact {
    width: 20%;
    order: 7;
    background-color: #1b6f8d;
}

#campsite-payment {
    width: 20%;
    order: 8;
    background-color: #B52456;
}

#visit-campsite,
#room-venue-hire,
#special-events,
#find-and-contact,
#campsite-payment {
    text-align: center;
    cursor: pointer;
    padding: 10px 0;
    transition: 0.25s;
    line-height: 1em;
}

#visit-campsite img,
#room-venue-hire img,
#special-events img,
#find-and-contact img,
#campsite-payment img,
.tablink img {
    width: 40px;
    display: block;
    margin: 0 auto;
    margin-bottom: 6px;
}

#visit-campsite:hover {
    background-color: #146a2b;
}

#room-venue-hire:hover {
    background-color: #55146a;
}

#special-events:hover {
    background-color: #2b146a;
}

#find-and-contact:hover {
    background-color: #14536a;
}

#campsite-payment:hover {
    background-color: #861A40;
}

.sidenav {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 1;
    top: 0;
    right: -100%;
    background-color: #1b8d39;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
	z-index: 9999;
}

.sidenav a {
    padding: 4px;
    text-decoration: none;
    font-size: 18px;
    color: #FFF;
    display: block;
    transition: 0.3s;
	text-align: center;
}

.sidenav a:hover {
    color: #000;
}

.sidenav .closebtn {
    position: absolute;
    top: 20px;
    right: 10%;
    font-size: 36px;
    margin-left: 50px;
}

@media (min-width: 480px) {
		
    #visit-campsite img,
    #room-venue-hire img,
    #special-events img,
    #find-and-contact img,
    #campsite-payment img,
    .tablink img {
        width: 50px;
    }

}

@media (min-width: 680px) {
	.sidenav .closebtn {
	  right: 6%;
	}
}

@media (min-width: 780px) {

    .phone {
        display:none;
    }

    #b-menu {
        width: 10%;
        order: 7;
    }

    #logo {
        width: 25%;
        order: 1;
        background-position: left center;	
        padding: 25px;
    }
    
    #visit-campsite,
    #room-venue-hire,
    #special-events,
    #find-and-contact,
    #campsite-payment {
        width: 13%;
        padding: 10px 0;
    }

    #visit-campsite {
        order: 2;
    }

    #room-venue-hire {
        order: 3;
    }

    #special-events {
        order: 4;
    }

    #find-and-contact {
        order: 5;
    }

    #campsite-payment {
        order: 6;
    }    

}

@media (min-width: 1024px) {

    #logo {
        width: calc(100% - 650px);
        padding: 25px 0px 25px 50px;
        box-sizing: border-box;
    }

    #visit-campsite,
    #room-venue-hire,
    #special-events,
    #find-and-contact,
    #campsite-payment {
        padding: 20px 0;
    }

    #b-menu,
    #visit-campsite,
    #room-venue-hire,
    #special-events,
    #find-and-contact,
    #campsite-payment {
        width: 108px;
    }
    
	.sidenav .closebtn {
        right: 44px;
	}    
		
}

@media (min-width: 1280px) {
    .nav-bar {
        padding: 0 calc(50% - 650px);
        box-sizing: border-box;
    }
}

@media (min-width: 1300px) {
	.sidenav .closebtn {
        right: calc(50% - 610px);
	}
}